Bug 219703 - Anthy forgets about the words in private_dict
Anthy forgets about the words in private_dict
Product: Fedora
Classification: Fedora
Component: anthy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Depends On:
  Show dependency treegraph
Reported: 2006-12-14 15:33 EST by Jun'ichi Nomura (Red Hat)
Modified: 2013-04-02 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.19-1.2911.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-27 06:34:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Example of broken? private_dict file (1.66 KB, application/x-gzip)
2006-12-14 15:36 EST, Jun'ichi Nomura (Red Hat)
no flags Details

  None (edit)
Description Jun'ichi Nomura (Red Hat) 2006-12-14 15:33:21 EST
Description of problem:
Anthy forgets about the words registered to the private dictionary suddenly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Register some words to the private dictionary
2. Use scim+anthy from some applications,
    Repeat login to and logout from GNOME desktop.
    (Not sure what triggers the problem.)
Actual results:
Registered word doesn't appear in a candidate list

Expected results:
Registered word should appear as a candidate of conversion

Additional info:
Once the problem occurs, the registered word never appear again.

I don't know the format of private dictionary.
But "lv .anthy/private_dict_default.tt" shows some parts of the
registered words after the problem occurs.

After some trials, when the problem occurs, the private_dict_default.tt
file contains "The lockfile is destroied" string at the head of the file.
Comment 1 Jun'ichi Nomura (Red Hat) 2006-12-14 15:36:57 EST
Created attachment 143693 [details]
Example of broken? private_dict file

Example of .anthy before/after the problem occurred.

See README in the archive for the description of
each samples.
Comment 2 Jun'ichi Nomura (Red Hat) 2006-12-14 15:41:44 EST
I forgot to mention that once this problem occurs
I can no longer register words to the private dict
though kasumi complains nothing.
Comment 3 Takanori MATSUURA 2006-12-21 06:19:57 EST
How about anthy-8300? It's the latest stable release.

(ML archive in Japanese)

And the developer is now collecting the following information.
* the version that occurs (run "anthy-dic-tool --version")
* ~/.anthy/private_dict_default.tt

So if the problem also occurs in the latest stable version, please report to
"yusuke at w5.dion.ne.jp"
Comment 4 Akira TAGOH 2006-12-21 06:48:45 EST
I'm not keen to package that *stable* version so far, because apparently it's
still *unstable* in the conversion quality since its algorithm has been changed.

Trying the latest version and reporting it to upstream would be definitely
helpful to improve anthy, though.
Comment 5 Takanori MATSUURA 2006-12-21 07:06:11 EST
(In reply to comment #4)
> I'm not keen to package that *stable* version so far, because apparently it's
> still *unstable* in the conversion quality since its algorithm has been changed.

I completely agree with you.
Hmm, how should we do?
Comment 6 Akira TAGOH 2006-12-21 07:31:15 EST
It's always worth trying newer version to see if the problem is still happening
on or not. I'll try to check that locally later. or you or anyone else can do
that if you like. :)

Anyway, need to investigate further.
Comment 7 Takanori MATSUURA 2007-01-10 06:32:07 EST
According to
(Anthy ML, written in Japanese), this seems to be the kernel bug.

Comment 8 Akira TAGOH 2007-02-14 22:40:16 EST
8607-1 is available in devel. if someone can test this on FC6 and confirm if
this issue is resolved, that would be great. I can push updates for FC6 then.
Comment 9 Jun'ichi Nomura (Red Hat) 2007-02-21 10:00:20 EST
I haven't seen the problem for a few weeks at least.
anthy is still 7900-2.fc6.
kernel is updated every often and now 2.6.19-1.2911.fc6.

I couldn't see exactly when the problem disappear but
it's possible that it's fixed by the kernel rebase to,
which contains the bug fix mentioned in comment#7.
(FC6 kernel included on Jan. 10)
Comment 10 Akira TAGOH 2007-02-27 06:34:50 EST
Thank you for confirmation. I'll close this bug then. if you see the same
problem again, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.